//
//  FADManagerModulePresenter.swift
//  FADSelfieTest
//
//  Created by Juan Carlos Pérez on 2/3/19.
//  Copyright (c) 2019 Juan Carlos Pérez. All rights reserved.
//
//  This file was generated by the Clean Swift Xcode Templates so
//  you can apply clean architecture to your iOS and Mac projects,
//  see http://clean-swift.com
//

import UIKit

protocol FADManagerModulePresentationLogic
{
    func presentSomething(response: FADManagerModule.Something.Response)
    func presentNextModule()
}

class FADManagerModulePresenter: FADManagerModulePresentationLogic
{
  weak var viewController: FADManagerModuleDisplayLogic?
  
  // MARK: Do something
  
  func presentSomething(response: FADManagerModule.Something.Response)
  {
    let viewModel = FADManagerModule.Something.ViewModel()
    viewController?.displaySomething(viewModel: viewModel)
  }
    
    func presentNextModule(){
        viewController?.finishModuleTasks()
    }
}
